Can't install 4.5.1 on test server? (MAMP)

22 views
Skip to first unread message

Mamak, Lacey

unread,
Nov 11, 2020, 5:44:17 PM11/11/20
to subjec...@googlegroups.com
I'm trying to install SP4.5.1 on a development server to try out different customizations before we go live with the new version (my library is part of the MnPALS consortium). I've tried several times but every time what ends up installing is version 4.4 not 4.5.1!

I'm installing on Mac OS using MAMP (free version). Using the 4.5.1 latest release files from github, I can successfully install subjects plus using MAMP all the way up to logging in as the Super Admin for the first time (using the autogenerated password). The login screen shows the NASA background as I would expect. But once I log in, the background is the basic image again and the config page shows that 4.4 is the version running. I've even tried to upgrade from 4.4 to 4.5.1 on the test server, but I got a message saying that I was upgraded to version 3.0 and there was no need to run the updater. But after I logged in the admin config clearly showed I was still running 4.4.



The free version of MAMP only includes MySQL 5.7.3, so I don't have a way to run 5.6 instead. But, I have done the permanent deletion of ONLY_FULL_GROUP_BY.

I have checked my folder permissions to allow for reading and writing and I am using the root user that has all user permissions. I've uninstalled and re-installed MAMP several times as well.

Does anyone know what I am doing wrong or how else to get a test environment up and running on a Mac for Subjects Plus? I'd like to use my personal Mac if possible – it'll be an uphill battle to get the necessary permissions on my Windows work laptop to install anything.

Thank you so much!
Lacey Mamak

-- 

Lacey Mamak

Library Faculty, Electronic Resources/Reference & Instruction

Normandale Community College

952-358-8310www.normandale.edu

lacey...@normandale.edu

Pronouns to use for me: they/them/their OR he/him/his

Steve Jamieson

unread,
Nov 11, 2020, 10:43:17 PM11/11/20
to subjec...@googlegroups.com

I noticed that my fresh install of 4.5.1 also reports to be 4.4. I think the version number string just hasn’t been updated since the 4.4 release.

 

https://github.com/subjectsplus/SubjectsPlus/blob/master/control/includes/version.php

 

 

A picture containing drawing

Description automatically generated

Steve Jamieson
Library Director
Covenant Theological Seminary
(314) 392-4102

 

--
You received this message because you are subscribed to the Google Groups "SubjectsPlus" group.
To unsubscribe from this group and stop receiving emails from it, send an email to subjectsplus...@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/subjectsplus/CH2PR10MB4165E4E9EC1F10802AEE99A98AE80%40CH2PR10MB4165.namprd10.prod.outlook.com.

charlesbr...@gmail.com

unread,
Nov 12, 2020, 9:23:35 AM11/12/20
to SubjectsPlus
Hi Lacey,

Steve is correct, the version number has not been updated. I am updating it today and will create a new release. Thanks for bringing this to our attention. My apologies for the inconvenience it caused you.

Charles

Reply all
Reply to author
Forward
0 new messages